package com.bocloud.cmp.model.installation;

import java.util.Date;
import java.util.Map;

/**
 * RackHD poller
 *
 * @author 007
 */
public class Poller {
    /**
     * poller id
     */
    private String id;
    /**
     * poller类型，ipmi
     */
    private String type;
    /**
     * poller时间间隔，60000
     */
    private Integer pollInterval;
    /**
     * poller节点id
     */
    private String node;
    /**
     * poller配置
     * <p>
     * {"command": "sdr"}
     */
    private Map<String, String> config;
    /**
     * poller最后一次启动时间
     */
    private Date lastStarted;
    /**
     * poller最后一次结束时间
     */
    private Date lastFinished;
    /**
     * poller是否暂停
     */
    private Boolean paused;
    /**
     * poller失败次数
     */
    private Integer failureCount;

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the pollInterval
     */
    public Integer getPollInterval() {
        return pollInterval;
    }

    /**
     * @param pollInterval the pollInterval to set
     */
    public void setPollInterval(Integer pollInterval) {
        this.pollInterval = pollInterval;
    }

    /**
     * @return the node
     */
    public String getNode() {
        return node;
    }

    /**
     * @param node the node to set
     */
    public void setNode(String node) {
        this.node = node;
    }

    /**
     * @return the config
     */
    public Map<String, String> getConfig() {
        return config;
    }

    /**
     * @param config the config to set
     */
    public void setConfig(Map<String, String> config) {
        this.config = config;
    }

    /**
     * @return the lastStarted
     */
    public Date getLastStarted() {
        return lastStarted;
    }

    /**
     * @param lastStarted the lastStarted to set
     */
    public void setLastStarted(Date lastStarted) {
        this.lastStarted = lastStarted;
    }

    /**
     * @return the lastFinished
     */
    public Date getLastFinished() {
        return lastFinished;
    }

    /**
     * @param lastFinished the lastFinished to set
     */
    public void setLastFinished(Date lastFinished) {
        this.lastFinished = lastFinished;
    }

    /**
     * @return the paused
     */
    public Boolean getPaused() {
        return paused;
    }

    /**
     * @param paused the paused to set
     */
    public void setPaused(Boolean paused) {
        this.paused = paused;
    }

    /**
     * @return the failureCount
     */
    public Integer getFailureCount() {
        return failureCount;
    }

    /**
     * @param failureCount the failureCount to set
     */
    public void setFailureCount(Integer failureCount) {
        this.failureCount = failureCount;
    }
}
